=== src/Makefile ===
include ../config.mk

all: $(SRCALLSUBDIRS)

all-util:
	cd util $(AND) $(MAKE) all

all-api:
	cd api $(AND) $(MAKE) all

all-server:
	cd server $(AND) $(MAKE) all

all-configs:
	cd configs $(AND) $(MAKE) all

all-parsers:
	cd parsers $(AND) $(MAKE) all

all-queries:
	cd queries $(AND) $(MAKE) all

all-loggers:
	cd loggers $(AND) $(MAKE) all

all-notifications:
	cd notifications $(AND) $(MAKE) all

all-schedules:
	cd schedules $(AND) $(MAKE) all

all-routers:
	cd routers $(AND) $(MAKE) all

all-protocols:
	cd protocols $(AND) $(MAKE) all

all-pwdencs:
	cd pwdencs $(AND) $(MAKE) all

all-auths:
	cd auths $(AND) $(MAKE) all

all-directives:
	cd directives $(AND) $(MAKE) all

all-translations:
	cd translations $(AND) $(MAKE) all

all-bindvariabletranslations:
	cd bindvariabletranslations $(AND) $(MAKE) all

all-resultsettranslations:
	cd resultsettranslations $(AND) $(MAKE) all

all-resultsetrowtranslations:
	cd resultsetrowtranslations $(AND) $(MAKE) all

all-resultsetrowblocktranslations:
	cd resultsetrowblocktranslations $(AND) $(MAKE) all

all-resultsetheadertranslations:
	cd resultsetheadertranslations $(AND) $(MAKE) all

all-filters:
	cd filters $(AND) $(MAKE) all

all-triggers:
	cd triggers $(AND) $(MAKE) all

all-moduledatas:
	cd moduledatas $(AND) $(MAKE) all

all-connections:
	cd connections $(AND) $(MAKE) all

all-cmdline:
	cd cmdline $(AND) $(MAKE) all

clean:
	cd util $(AND) $(MAKE) clean
	cd api $(AND) $(MAKE) clean
	cd configs $(AND) $(MAKE) clean
	cd parsers $(AND) $(MAKE) clean
	cd queries $(AND) $(MAKE) clean
	cd loggers $(AND) $(MAKE) clean
	cd notifications $(AND) $(MAKE) clean
	cd schedules $(AND) $(MAKE) clean
	cd routers $(AND) $(MAKE) clean
	cd protocols $(AND) $(MAKE) clean
	cd pwdencs $(AND) $(MAKE) clean
	cd auths $(AND) $(MAKE) clean
	cd directives $(AND) $(MAKE) clean
	cd translations $(AND) $(MAKE) clean
	cd bindvariabletranslations $(AND) $(MAKE) clean
	cd resultsettranslations $(AND) $(MAKE) clean
	cd resultsetrowtranslations $(AND) $(MAKE) clean
	cd resultsetrowblocktranslations $(AND) $(MAKE) clean
	cd resultsetheadertranslations $(AND) $(MAKE) clean
	cd filters $(AND) $(MAKE) clean
	cd triggers $(AND) $(MAKE) clean
	cd moduledatas $(AND) $(MAKE) clean
	cd connections $(AND) $(MAKE) clean
	cd server $(AND) $(MAKE) clean
	cd cmdline $(AND) $(MAKE) clean

install: $(SRCINSTALLSUBDIRS)

install-util:
	cd util $(AND) $(MAKE) install

install-api:
	cd api $(AND) $(MAKE) install

install-server:
	cd server $(AND) $(MAKE) install

install-configs:
	cd configs $(AND) $(MAKE) install

install-parsers:
	cd parsers $(AND) $(MAKE) install

install-queries:
	cd queries $(AND) $(MAKE) install

install-loggers:
	cd loggers $(AND) $(MAKE) install

install-notifications:
	cd notifications $(AND) $(MAKE) install

install-schedules:
	cd schedules $(AND) $(MAKE) install

install-routers:
	cd routers $(AND) $(MAKE) install

install-protocols:
	cd protocols $(AND) $(MAKE) install

install-pwdencs:
	cd pwdencs $(AND) $(MAKE) install

install-auths:
	cd auths $(AND) $(MAKE) install

install-directives:
	cd directives $(AND) $(MAKE) install

install-translations:
	cd translations $(AND) $(MAKE) install

install-bindvariabletranslations:
	cd bindvariabletranslations $(AND) $(MAKE) install

install-resultsettranslations:
	cd resultsettranslations $(AND) $(MAKE) install

install-resultsetrowtranslations:
	cd resultsetrowtranslations $(AND) $(MAKE) install

install-resultsetrowblocktranslations:
	cd resultsetrowblocktranslations $(AND) $(MAKE) install

install-resultsetheadertranslations:
	cd resultsetheadertranslations $(AND) $(MAKE) install

install-filters:
	cd filters $(AND) $(MAKE) install

install-triggers:
	cd triggers $(AND) $(MAKE) install

install-moduledatas:
	cd moduledatas $(AND) $(MAKE) install

install-connections:
	cd connections $(AND) $(MAKE) install

install-cmdline:
	cd cmdline $(AND) $(MAKE) install

uninstall:
	cd util $(AND) $(MAKE) uninstall
	cd api $(AND) $(MAKE) uninstall
	cd configs $(AND) $(MAKE) uninstall
	cd parsers $(AND) $(MAKE) uninstall
	cd queries $(AND) $(MAKE) uninstall
	cd loggers $(AND) $(MAKE) uninstall
	cd notifications $(AND) $(MAKE) uninstall
	cd schedules $(AND) $(MAKE) uninstall
	cd routers $(AND) $(MAKE) uninstall
	cd protocols $(AND) $(MAKE) uninstall
	cd pwdencs $(AND) $(MAKE) uninstall
	cd auths $(AND) $(MAKE) uninstall
	cd directives $(AND) $(MAKE) uninstall
	cd translations $(AND) $(MAKE) uninstall
	cd bindvariabletranslations $(AND) $(MAKE) uninstall
	cd resultsettranslations $(AND) $(MAKE) uninstall
	cd resultsetrowtranslations $(AND) $(MAKE) uninstall
	cd resultsetrowblocktranslations $(AND) $(MAKE) uninstall
	cd resultsetheadertranslations $(AND) $(MAKE) uninstall
	cd filters $(AND) $(MAKE) uninstall
	cd triggers $(AND) $(MAKE) uninstall
	cd moduledatas $(AND) $(MAKE) uninstall
	cd connections $(AND) $(MAKE) uninstall
	cd server $(AND) $(MAKE) uninstall
	cd cmdline $(AND) $(MAKE) uninstall
