=== debian/changelog ===
sqlrelay (1.9.2-1) unstable; urgency=medium

  * Initial release

 -- David Muse <david.muse@firstworks.com>  Sun, 17 Feb 2019 17:26:00 -0600
